<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	header("Access-Control-Max-Age: 3600");
	header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

	include_once '../config/database.php';
	include_once '../objects/deposit.php';
	 
	$database = new Database();
	$db = $database->getConnection();

	$deposit = new Deposit($db);
	$data = json_decode(file_get_contents("php://input"));

	$deposit->reservation_no = $data->reservation_no;
	$deposit->room_no = $data->room_no;

	$stmt = $deposit->getAllRowsFromReservation();
	$num = $stmt->rowCount();
	$arr=array();
	$arr["records"]=array();
	if($num>0){

	    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
	        extract($row);
	        $item=array(
				"id" => $id,
				"deposit_date" => $deposit_date,
				"deposit_type" => $deposit_type,
				"deposit_amount" => number_format($deposit_amount)
	        );
	        array_push($arr["records"], $item);
	    }
	    
	}
	echo json_encode($arr);
?>